---
title: Vertical Align Utilities
description: Change the vertical alignment of inline, inline block, inline table, and table cell elements. 
---

<script setup>
import * as examples from './examples';
</script>

# Vertical Align Utilities

## Change the vertical alignment of inline, inline block, inline table, and table cell elements. 

### Text Alignment
You can use vertical align utilities to change the alignment of elements. Please note that vertical-align only affects `inline`, `inline-block`, `inline-table`, and `table-cell` elements.

<example :component="examples.VerticalAlignBasicExample" :html="examples.VerticalAlignBasicExampleHTML"></example>

### Table Cell Alignment
You can use vertical align utilities to change the alignment of table cells.

<example :component="examples.VerticalAlignTableExample" :html="examples.VerticalAlignTableExampleHTML"></example>
